Subject: bug#54472: 29.0.50; mouse-wheel-scroll-amount inconsistency

From: Ergus <[email-masked]>
Date: Mon, 21 Mar 2022 08:37:30 +0100

On Mon, Mar 21, 2022 at 02:33:54PM +0800, Po Lu wrote:
>Ergus <[email-masked]> writes:
>
>> What do you mean? This is with xterm mouse mode on...
>
>I didn't notice that, sorry.
>
>Unfortunately, that means that I don't really know what might be going
>on.

I'm pretty sure now that this is related with the events...

With `emacs -nw` when I scroll 1 tick and `C-h l` I see:

```
  ESC [ < 6 5		; 8 0 ; 1 9 M <mouse-5> ;; mwheel-scroll
  ESC [ < 6 5		; 8 0 ; 1 9 M <mouse-5> ;; mwheel-scroll
  C-h l			;; view-lossage
```

While for the same scroll on `emacs`

```
  <down-mouse-5> <mouse-5> ;; mwheel-scroll
  C-h l			  ;; view-lossage
```

This is not really a very accurate measurement... but maybe could help
someone with more knowledge to clarify?

After a while checking I found that the issue only happens for `emacs
-nw` on xterm. On alacrity, rxvt and gnome-terminal it seems to scroll
the correct amount (3).

So I can report the issue to xterm developer?